The landscape of web browsers and the technologies that they support is ever evolving.  Unfortunately Audio and Video support often changes or “breaks” as browsers advance.   The most recent changes that have caused problems are related to flash support.

If you are having trouble connecting to your conference from your browser, and using safari, please follow these steps to resolve the issue:

  1. Make sure you have a recent version of Safari.  To check your version, click this link in safari.
  2. The version shown should be above 8.0  (for example 8.0.7.)  If your browser is below 8 (e.g. 7.5) then you need to upgrade.  Upgrade through the app store on your Mac, or by going to Apple’s Safari download page
  3. Ensure that you have a supported version of flash installed by visiting the Flash Test Page.  If you do have a supported version, you’ll see the version number.  If you do not, you will see a button indicating that you should update, leading you to a download.  Follow the instructions to open the installer.  After installing flash, you must restart Safari.
  4. Visit the Branded Bridge Line Browser Test page to confirm that your software is now up to date and ready to join a conference!

Leave a Reply

Your email address will not be published. Required fields are marked *